ldns_struct_dnssec_zone Struct Reference

Structure containing a dnssec zone. More...

`#include <dnssec_zone.h>`

## Data Fields

ldns_dnssec_name * | soa
| points to the name containing the SOA RR
ldns_rbtree_t * | names
| tree of ldns_dnssec_names
ldns_rbtree_t * | hashed_names
| tree of ldns_dnssec_names by nsec3 hashes (when applicable)
ldns_rr * | _nsec3params
| points to the first added NSEC3 rr whose parameters will be assumed for all subsequent NSEC3 rr's and which will be used to calculate hashed names

## Detailed Description

Structure containing a dnssec zone.

Definition at line 91 of file dnssec_zone.h.

## Field Documentation

## soa

ldns_dnssec_name* ldns_struct_dnssec_zone::soa

points to the name containing the SOA RR

Definition at line 93 of file dnssec_zone.h.

## names

ldns_rbtree_t* ldns_struct_dnssec_zone::names

tree of ldns_dnssec_names

Definition at line 95 of file dnssec_zone.h.

## hashed_names

ldns_rbtree_t* ldns_struct_dnssec_zone::hashed_names

tree of ldns_dnssec_names by nsec3 hashes (when applicable)

Definition at line 97 of file dnssec_zone.h.

## _nsec3params

ldns_rr* ldns_struct_dnssec_zone::_nsec3params

points to the first added NSEC3 rr whose parameters will be assumed for all subsequent NSEC3 rr's and which will be used to calculate hashed names

Definition at line 102 of file dnssec_zone.h.